petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSAdjointCostIntegral

Evaluate the cost integral in the adjoint run.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdjointCostIntegral(TS ts)

Collective on TS

### Input Arguments

. ts - time stepping context

### Notes

This function cannot be called until TSAdjointStep() has been completed.

.seealso: TSAdjointSolve(), TSAdjointStep

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages